Loading...
 

Announcements


System Workbench for STM32 v2.3.0 release

A new version has been released and is available through Eclipse update system (“Help > Check for Updates”) and through All-in-One installer.

The release v2.3.0 adds support for:

New STM32Cube package versions:
- STM32Cube F2 V1.7.0
- STM32Cube F4 V1.17.0
- STM32Cube L4 V1.10.0

New part numbers of the STM32F7 series:
STM32F765VGHx, STM32F765VIHx, STM32F767VGHx, STM32F767VIHx, STM32F777VIHx

New part numbers of the STM32H7 series:
STM32H743AGIx, STM32H743AIIx, STM32H743VGHx, STM32H743VIHx, STM32H753AGIx, STM32H753AIIx, STM32H753VGHx, STM32H753VIHx

This release provides the following improvements:
- Add support for core peripheral registers SCB, STK, MPU, FPU for the following series : F0, F1, F2, F3, F4, F7, L0, L1, L4

This release provides the following fixes:
- JTAG support for STLinkServer
- Fix a log crash in STLinkServer
- Add shutdown command to OpenOCD to close target connection when GDB quit
- Move of the following part numbers from STM32L4 to STM32L4PLUS series : STM32L4R5AGIx, STM32L4R5AIIx, STM32L4R5QGIx, STM32L4R5QIIx, STM32L4R5VGTx, STM32L4R5VITx, STM32L4R5ZGTx, STM32L4R5ZITx, STM32L4R5ZGYx, STM32L4R5ZIYx, STM32L4S5AIIx, STM32L4S5QIIx, STM32L4S5VITx, STM32L4S5ZITx, STM32L4S5ZIYx, STM32L4R7AIIx, STM32L4R7VITx, STM32L4R7ZITx, STM32L4S7AIIx, STM32L4S7VITx, STM32L4S7ZITx, STM32L4R9AGIx, STM32L4R9AIIx, STM32L4R9VGTx, STM32L4R9VITx, STM32L4R9ZGJx, STM32L4R9ZIJx, STM32L4R9ZGTx, STM32L4R9ZITx, STM32L4R9ZGYx, STM32L4R9ZIYx, STM32L4S9AIIx, STM32L4S9VITx, STM32L4S9ZIJx, STM32L4S9ZITx, STM32L4S9ZIYx
- Move of the following boards from STM32L4 to STM32L4PLUS series : NUCLEO-L4R5ZI, STM32L4R9I-DISCO, STM32L4R9I-EVAL

WARNING :
- Installers need at least 600Mo free space on the installation volume
- The new CDT Debug Console, that offers a powerful GDB console, is not supported yet.
- In some Linux environments the Welcome screen rendering could appear messy (empty page, missing icons). This is generally caused by an unresolved WebKit1 library required
by SWT for GTK2. To restore this display issue it is advised to install the following package: $ sudo apt-get install libwebkitgtk-1.0-0
- On Ubuntu, version 14.04 is now required to run System Workbench for STM32
- For MAC OSX Users : Due to missing path to JRE, some users could not launch the installer. This issue is now fixed. For users who have installed the Oracle Java JDK, the old/new installers are still working.